ServletException (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Class ServletException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.ServletException

Direct Known Subclasses:
  UnavailableException

    @TransactionType(value=NOT_SUPPORTED)
    public class ServletException

extends Exception

Defines a general exception a servlet can throw when it encounters difficulty.

Direct instances of this exception class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `Throwable.getMessage()` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

Since:
  Servlet 2.x, Java Card 3.0

Constructor Summary
`ServletException()` Constructs a new servlet exception.
`ServletException(String message)` Constructs a new servlet exception with the specified message.
`ServletException(String message, Throwable rootCause)` Constructs a new servlet exception when the servlet needs to throw an exception and include a message about the "root cause" exception that interfered with its normal operation, including a description message.
`ServletException(Throwable rootCause)` Constructs a new servlet exception when the servlet needs to throw an exception and include a message about the "root cause" exception that interfered with its normal operation.

Method Summary
`Throwable` | `getRootCause()` Returns the exception that caused this servlet exception.

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServletException

    public ServletException()

  Constructs a new servlet exception.

### ServletException

    public ServletException(String message)

  Constructs a new servlet exception with the specified message. The message can be written to the server log and/or displayed for the user.

  Parameters:
    `message` - a `String` specifying the text of the exception message

### ServletException

    public ServletException(String message,
                            Throwable rootCause)

  Constructs a new servlet exception when the servlet needs to throw an exception and include a message about the "root cause" exception that interfered with its normal operation, including a description message.

  Parameters:
    `message` - a `String` containing the text of the exception message
    `rootCause` - the `Throwable` exception that interfered with the servlet's normal operation, making this servlet exception necessary

### ServletException

    public ServletException(Throwable rootCause)

  Constructs a new servlet exception when the servlet needs to throw an exception and include a message about the "root cause" exception that interfered with its normal operation. The exception's message is based on the localized message of the underlying exception.

  This method calls the `getLocalizedMessage` method on the `Throwable` exception to get a localized exception message. When subclassing `ServletException`, this method can be overridden to create an exception message designed for a specific locale.

  Parameters:
    `rootCause` - the `Throwable` exception that interfered with the servlet's normal operation, making the servlet exception necessary

Method Detail

### getRootCause

    public Throwable getRootCause()

  Returns the exception that caused this servlet exception.

  Returns:
    the `Throwable` that caused this servlet exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.